BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/location/list
getWarehouseAdmin BFF

/bff/warehouse/location/list

List locations in a warehouse

WarehousegetBffWarehouseLocationList

Parameters

1 query

Query parameters

· 1
warehouseIdstringRequired

Numeric warehouse id.

Exampleexample_warehouseId

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idnumberRequired
warehouseIdnumberRequired
parentLocationIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
codestringRequired
namestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
notestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
isActivebooleanRequired
totalQuantitynumberRequired
insertedDatestringRequired
updatedDatestringRequired

Response example

application/json
{
  "items": [
    {
      "id": 0,
      "warehouseId": 0,
      "code": "example_code",
      "isActive": false,
      "totalQuantity": 0,
      "insertedDate": "example_insertedDate",
      "updatedDate": "example_updatedDate"
    }
  ]
}

Request example

GET /bff/warehouse/location/list

get
curl -X GET "https://api.bizkithub.com/bff/warehouse/location/list?warehouseId=example_warehouseId" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key